Package org.eclipse.m2m.atl.adt.ui.common

# Class AtlLibrarySelection

java.lang.Object
org.eclipse.jface.window.Window
org.eclipse.jface.dialogs.Dialog
org.eclipse.jface.dialogs.TrayDialog
org.eclipse.ui.dialogs.SelectionDialog
org.eclipse.ui.dialogs.SelectionStatusDialog
org.eclipse.m2m.atl.adt.ui.common.AbstractAtlSelection
org.eclipse.m2m.atl.adt.ui.common.AtlLibrarySelection

All Implemented Interfaces:
  `org.eclipse.jface.window.IShellProvider`

public class AtlLibrarySelection extends AbstractAtlSelection
The library selection dialog.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.jface.window.Window

`org.eclipse.jface.window.Window.IExceptionHandler`

## Field Summary

### Fields inherited from class org.eclipse.m2m.atl.adt.ui.common.AbstractAtlSelection

`NAMING_REGEX`

### Fields inherited from class org.eclipse.jface.dialogs.Dialog

`blockedHandler, buttonBar, DIALOG_DEFAULT_BOUNDS, DIALOG_PERSISTLOCATION, DIALOG_PERSISTSIZE, dialogArea, DLG_IMG_ERROR, DLG_IMG_HELP, DLG_IMG_INFO, DLG_IMG_MESSAGE_ERROR, DLG_IMG_MESSAGE_INFO, DLG_IMG_MESSAGE_WARNING, DLG_IMG_QUESTION, DLG_IMG_WARNING, ELLIPSIS`

### Fields inherited from class org.eclipse.jface.window.Window

`CANCEL, OK, resizeHasOccurred`

## Constructor Summary

Constructors
Constructor
Description
`AtlLibrarySelection(org.eclipse.swt.widgets.Shell parent, String title, Map<String,String> libraries)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`protected void`
`computeResult()`
`void`
`create()`
`protected org.eclipse.swt.widgets.Control`
`createDialogArea(org.eclipse.swt.widgets.Composite parent)`

### Methods inherited from class org.eclipse.m2m.atl.adt.ui.common.AbstractAtlSelection

`checkIdentifier, getDefaultName, nok, ok, warn`

### Methods inherited from class org.eclipse.ui.dialogs.SelectionStatusDialog

`configureShell, createButtonBar, getFirstResult, okPressed, setImage, setResult, setStatusLineAboveButtons, updateButtonsEnableState, updateStatus`

### Methods inherited from class org.eclipse.ui.dialogs.SelectionDialog

`createButtonsForButtonBar, createMessageArea, getDialogBoundsSettings, getDialogBoundsStrategy, getInitialElementSelections, getInitialSelections, getMessage, getOkButton, getResult, isResizable, setDialogBoundsSettings, setInitialElementSelections, setInitialSelections, setMessage, setResult, setSelectionResult, setTitle`

### Methods inherited from class org.eclipse.jface.dialogs.TrayDialog

`closeTray, createHelpControl, getLayout, getTray, handleShellCloseEvent, isDialogHelpAvailable, isHelpAvailable, openTray, setDialogHelpAvailable, setHelpAvailable`

### Methods inherited from class org.eclipse.jface.dialogs.Dialog

`applyDialogFont, buttonPressed, cancelPressed, close, convertHeightInCharsToPixels, convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, convertWidthInCharsToPixels, createButton, createContents, dialogFontIsDefault, getBlockedHandler, getButton, getButtonBar, getCancelButton, getDialogArea, getImage, getInitialLocation, getInitialSize, getOKButton, initializeBounds, initializeDialogUnits, setBlockedHandler, setButtonLayoutData, setButtonLayoutFormData, shortenText`

### Methods inherited from class org.eclipse.jface.window.Window

`canHandleShellCloseEvent, constrainShellSize, createShell, getConstrainedShellBounds, getContents, getDefaultImage, getDefaultImages, getDefaultOrientation, getParentShell, getReturnCode, getShell, getShellListener, getShellStyle, getWindowManager, handleFontChange, open, setBlockOnOpen, setDefaultImage, setDefaultImages, setDefaultModalParent, setDefaultOrientation, setExceptionHandler, setParentShell, setReturnCode, setShellStyle, setWindowManager`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AtlLibrarySelection

public AtlLibrarySelection(org.eclipse.swt.widgets.Shell parent, String title, Map<String,String> libraries)
Constructor.

Parameters:
  `parent` - the parent shell
  `title` - the title
  `libraries` - libraries from parent

## Method Details

### computeResult

protected void computeResult()

Specified by:
  `computeResult` in class `org.eclipse.ui.dialogs.SelectionStatusDialog`
See Also:
  - `SelectionStatusDialog.computeResult()`

### createDialogArea

protected org.eclipse.swt.widgets.Control createDialogArea(org.eclipse.swt.widgets.Composite parent)

Overrides:
  `createDialogArea` in class `org.eclipse.jface.dialogs.Dialog`
See Also:
  - `Dialog.createDialogArea(org.eclipse.swt.widgets.Composite)`

### create

public void create()

Overrides:
  `create` in class `AbstractAtlSelection`
See Also:
  - `AbstractAtlSelection.create()`